## python-pytest-cov 1.7.0

=== debian/changelog ===
python-pytest-cov (1.7.0-2) unstable; urgency=low

  * Add versioned dependencies

 -- Federico Ceratto <federico.ceratto@gmail.com>  Thu, 26 Jun 2014 22:34:56 +0100

python-pytest-cov (1.7.0-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 22 Jun 2014 10:21:05 +0100

python-pytest-cov (1.6-1) unstable; urgency=low

  * Initial release (Closes: #750917)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 08 Jun 2014 12:07:00 +0100

## python-pytest-cov 2.5.1

=== docs/requirements.txt ===
sphinx>=1.3,<1.6
sphinx-py3doc-enhanced-theme
-e .

## python-pytest-cov 1.8.0

=== debian/changelog ===
python-pytest-cov (1.8.0-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 01 Sep 2014 17:25:05 +0100

=== debian/control ===
Source: python-pytest-cov
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
Build-Depends: debhelper (>= 9~)
Build-Depends-Indep:
 dh-python,
 python-all (>= 2.6.6-3~),
 python-coverage,
 python-setuptools,
 python3-all,
 python3-coverage,
 python3-setuptools,
Standards-Version: 3.9.5
Homepage: https://github.com/schlamar/pytest-cov
Vcs-Git: git://anonscm.debian.org/collab-maint/python-pytest-cov.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-pytest-cov.git;a=summary

X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Package: python-pytest-cov
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 python-cov-core (>= 1.12-1),
 python-pytest (>= 2.5.2-1)
Provides: ${python:Provides}
Recommends: ${python:Recommends}
Description: py.test plugin to produce coverage reports
 This py.test plugin produces coverage reports. It supports both centralised
 and distributed testing across multiple hosts. It can run parallel tests on
 different platforms, architectures, and Python versions.
 It supports coverage of subprocesses and can produce reports in text, HTML,
 XML and annotated source code.

Package: python3-pytest-cov
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-cov-core (>= 1.12-1),
 python3-pytest (>= 2.5.2-1)
Provides: ${python3:Provides}
Recommends: ${python3:Recommends}
Description: py.test plugin to produce coverage reports for Python3
 This py.test plugin produces coverage reports. It supports both centralised
 and distributed testing across multiple hosts. It can run parallel tests on
 different platforms, architectures, and Python versions.
 It supports coverage of subprocesses and can produce reports in text, HTML,
 XML and annotated source code.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pytest-cov/pytest-cov-([\d\.]*)\.tar\.gz

## python-pytest-cov 2.2.1

=== debian/changelog ===
python-pytest-cov (2.2.1-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 14 Feb 2016 13:05:51 +0000

python-pytest-cov (2.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #802836)
  * Bump up Standards-Version

 -- Federico Ceratto <federico@debian.org>  Mon, 26 Oct 2015 23:47:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-pytest-cov
 Section: python
 Priority: optional
-Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
+Maintainer: Federico Ceratto <federico@debian.org>
 Build-Depends: debhelper (>= 9~)
 Build-Depends-Indep:
  dh-python,
@@ -11,10 +11,10 @@
  python3-all,
  python3-coverage,
  python3-setuptools,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/schlamar/pytest-cov
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-pytest-cov.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-pytest-cov.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pytest-cov.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pytest-cov.git;a=summary
 
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export PYBUILD_NAME=pytest-cov

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-pytest-cov 2.4.0

=== debian/changelog ===
python-pytest-cov (2.4.0-2) unstable; urgency=medium

  * Add runtime dependencies to jQuery libs (Closes: #841520, #841630)

 -- Federico Ceratto <federico@debian.org>  Wed, 26 Oct 2016 12:18:19 +0100

python-pytest-cov (2.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 16 Oct 2016 23:41:57 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
  python3-all,
  python3-coverage,
  python3-setuptools,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/schlamar/pytest-cov
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pytest-cov.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pytest-cov.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-pytest-cov.git
 
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
@@ -22,6 +22,11 @@
 Architecture: all
 Depends: ${misc:Depends},
  ${python:Depends},
+ libjs-jquery,
+ libjs-jquery-hotkeys,
+ libjs-jquery-isonscreen,
+ libjs-jquery-tablesorter,
+ libjs-jquery-throttle-debounce,
  python-cov-core (>= 1.12-1),
  python-pytest (>= 2.5.2-1)
 Provides: ${python:Provides}
@@ -37,6 +42,11 @@
 Architecture: all
 Depends: ${misc:Depends},
  ${python3:Depends},
+ libjs-jquery,
+ libjs-jquery-hotkeys,
+ libjs-jquery-isonscreen,
+ libjs-jquery-tablesorter,
+ libjs-jquery-throttle-debounce,
  python3-cov-core (>= 1.12-1),
  python3-pytest (>= 2.5.2-1)
 Provides: ${python3:Provides}

## python-pytest-cov 2.5.1

=== debian/changelog ===
python-pytest-cov (2.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 02 Jul 2017 15:07:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGELOG.rst

## python-pytest-cov 2.6.0

=== debian/changelog ===
python-pytest-cov (2.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 09 Sep 2018 10:08:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 9~)
+Build-Depends: debhelper (>= 11~)
 Build-Depends-Indep:
  dh-python,
  python-all (>= 2.6.6-3~),
@@ -11,13 +11,14 @@
  python3-all,
  python3-coverage,
  python3-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: https://github.com/schlamar/pytest-cov
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pytest-cov.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-pytest-cov.git
+Vcs-Git: https://salsa.debian.org/debian/python-pytest-cov.git
+Vcs-Browser: https://salsa.debian.org/debian/python-pytest-cov
+Testsuite: autopkgtest-pkg-python
 
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
+X-Python-Version: >= 2.8
+X-Python3-Version: >= 3.5
 Package: python-pytest-cov
 Architecture: all
 Depends: ${misc:Depends},
@@ -27,8 +28,8 @@
  libjs-jquery-isonscreen,
  libjs-jquery-tablesorter,
  libjs-jquery-throttle-debounce,
- python-cov-core (>= 1.12-1),
- python-pytest (>= 2.5.2-1)
+ python-cov-core (>= 1.15.0-1),
+ python-pytest (>= 3.0.6-1)
 Provides: ${python:Provides}
 Recommends: ${python:Recommends}
 Description: py.test plugin to produce coverage reports

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pytest-cov-$1\.tar\.gz/ \
  https://github.com/schlamar/pytest-cov/tags .*/v?(\d\S*)\.tar\.gz

## python-pytest-cov 2.7.1

=== debian/changelog ===
python-pytest-cov (2.7.1-1) unstable; urgency=medium

  * New upstream release (Closes: #934161)

 -- Federico Ceratto <federico@debian.org>  Thu, 08 Aug 2019 12:17:59 +0100

python-pytest-cov (2.5.1-2) UNRELEASED; urgency=medium

  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/copyright: Use https protocol in Format field

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:36:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep:
  dh-python,
  python-all (>= 2.6.6-3~),
@@ -11,14 +11,12 @@
  python3-all,
  python3-coverage,
  python3-setuptools,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.1
 Homepage: https://github.com/schlamar/pytest-cov
 Vcs-Git: https://salsa.debian.org/debian/python-pytest-cov.git
 Vcs-Browser: https://salsa.debian.org/debian/python-pytest-cov
 Testsuite: autopkgtest-pkg-python
 
-X-Python-Version: >= 2.8
-X-Python3-Version: >= 3.5
 Package: python-pytest-cov
 Architecture: all
 Depends: ${misc:Depends},

## python-pytest-cov 2.8.1

=== docs/requirements.txt ===
sphinx==1.5.6  # rq.filter: >=1.3,<1.6
sphinx-py3doc-enhanced-theme
docutils==0.13.1
-e .

=== debian/changelog ===
python-pytest-cov (2.8.1-1) unstable; urgency=medium

  * New upstream release
  * Drop Python 2 package (Closes: #938102)

 -- Federico Ceratto <federico@debian.org>  Sun, 10 Nov 2019 21:29:16 +0000

=== debian/control ===
Source: python-pytest-cov
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-coverage,
 python3-setuptools,
Standards-Version: 4.3.1
Homepage: https://github.com/schlamar/pytest-cov
Vcs-Git: https://salsa.debian.org/debian/python-pytest-cov.git
Vcs-Browser: https://salsa.debian.org/debian/python-pytest-cov
Testsuite: autopkgtest-pkg-python

Package: python3-pytest-cov
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 libjs-jquery,
 libjs-jquery-hotkeys,
 libjs-jquery-isonscreen,
 libjs-jquery-tablesorter,
 libjs-jquery-throttle-debounce,
 python3-cov-core (>= 1.12-1),
 python3-pytest (>= 3.6)
Provides: ${python3:Provides}
Recommends: ${python3:Recommends}
Description: py.test plugin to produce coverage reports for Python3
 This py.test plugin produces coverage reports. It supports both centralised
 and distributed testing across multiple hosts. It can run parallel tests on
 different platforms, architectures, and Python versions.
 It supports coverage of subprocesses and can produce reports in text, HTML,
 XML and annotated source code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export PYBUILD_NAME=pytest-cov

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

## python-pytest-cov 2.10.1

=== debian/changelog ===
python-pytest-cov (2.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 27 Dec 2020 18:56:58 +0000

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep:
  dh-python,
  python3-all,
  python3-coverage,
  python3-setuptools,
-Standards-Version: 4.3.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/schlamar/pytest-cov
 Vcs-Git: https://salsa.debian.org/debian/python-pytest-cov.git
 Vcs-Browser: https://salsa.debian.org/debian/python-pytest-cov
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-pytest-cov
 Architecture: all

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pytest-cov-$1\.tar\.gz/ https://github.com/schlamar/pytest-cov/tags .*/v?(\d\S*)\.tar\.gz

## python-pytest-cov 3.0.0

=== debian/changelog ===
python-pytest-cov (3.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 10 Oct 2021 13:38:28 +0100

python-pytest-cov (2.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 19 Aug 2021 22:53:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-all,
  python3-coverage,
  python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/schlamar/pytest-cov
 Vcs-Git: https://salsa.debian.org/debian/python-pytest-cov.git
 Vcs-Browser: https://salsa.debian.org/debian/python-pytest-cov

## python-pytest-cov 4.0.0

=== ci/requirements.txt ===
virtualenv>=16.6.0
pip>=19.1.1
setuptools>=18.0.1
six>=1.14.0
tox

=== docs/requirements.txt ===
sphinx==3.0.3
sphinx-py3doc-enhanced-theme==2.4.0
docutils==0.16
jinja2<3.1
-e .

=== debian/changelog ===
python-pytest-cov (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Drop cov-core dependency (Closes: #1008835)
    Thanks to Boyuan Yang

 -- Federico Ceratto <federico@debian.org>  Sat, 15 Oct 2022 17:20:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-all,
  python3-coverage,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/schlamar/pytest-cov
 Vcs-Git: https://salsa.debian.org/debian/python-pytest-cov.git
 Vcs-Browser: https://salsa.debian.org/debian/python-pytest-cov
@@ -24,7 +24,6 @@
  libjs-jquery-isonscreen,
  libjs-jquery-tablesorter,
  libjs-jquery-throttle-debounce,
- python3-cov-core (>= 1.12-1),
  python3-pytest (>= 3.6)
 Provides: ${python3:Provides}
 Recommends: ${python3:Recommends}

## python-pytest-cov 4.1.0

=== debian/changelog ===
python-pytest-cov (4.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 25 Jun 2023 15:11:30 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  python3-all,
  python3-coverage,
  python3-setuptools,
-Standards-Version: 4.6.1
-Homepage: https://github.com/schlamar/pytest-cov
+Standards-Version: 4.6.2
+Homepage: https://github.com/pytest-dev/pytest-cov
 Vcs-Git: https://salsa.debian.org/debian/python-pytest-cov.git
 Vcs-Browser: https://salsa.debian.org/debian/python-pytest-cov
 Testsuite: autopkgtest-pkg-python

## python-pytest-cov 5.0.0

=== docs/requirements.txt ===
sphinx
furo
-e .

=== debian/changelog ===
python-pytest-cov (5.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 08 Apr 2024 22:54:20 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pytest-cov-$1\.tar\.gz/ https://github.com/pytest-dev/pytest-cov/tags .*/v?(\d\S*)\.tar\.gz
